<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="top-types-by-bytes" charttype="bars">

 <lire:title>Top MIME types by Transferred Size</lire:title>
 <lire:description>
  <para>This report lists the MIME types that resulted in the most traffic.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="types_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of MIME types to display
     in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top MIME Types by Bytes Transferred, Top $types_to_show</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-type_bytes" limit="$types_to_show">
   <lire:field name="type"/>

   <lire:sum name="type_bytes" field="bytes" label="Bytes"/>
   <lire:sum name="type_ratio" field="bytes" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
$Id: top-types-by-bytes.xml,v 1.3 2002/11/14 16:32:30 flacoste Exp $
Keep this comment at the end of the file
Local variables:
mode: xml
-->
